Skip to content
Open in Gitpod
On this page

Kafka Compatibility

Overview

HStream also supports Kafka API since 0.19.0, so users can connect to HStream using Kafka clients. HStream implements Kafka protocol underly, so you do not need to change any code in your current Kafka applications; just update the Kafka URLs in your configurations to point to an HStream cluster, and that is it; then you can start streaming from your Kafka applications to an HStream cluster.

TIP

Refer to Get Started with Kafka API to learn how to enable HStream'support of Kafka API.

Compatibility with Apache Kafka

HStream supports Apache Kafka version 0.11 and later, and most Kafka clients should be able to auto-negotiate protocol versions.

Currently, the clients below are tested by HStream.

LanguageKafka Client
JavaApache Kafka Java Client
Pythonkafka-python, confluent-kafka-python
Gokafka-go
C/C++librdkafka

TIP

Recommand using the latest version of each Kafka client

Features not supported in Apache Kafka

HStream does not support below Kafka features now(we plan to support them in the later version):

  • Kafka transactions
  • Quotas in Kafka

TIP

The configuration of Kafka brokers does not apply to HStream, as HStream is an entirely different implementation.